Subject: [alpine-aports] [PATCH] main/flex: create compatibility symlink (/usr/bin/lex)

From: Sören Tempel <[email-masked]>
Date: Thu, 12 Nov 2015 18:09:38 +0100

This symlink is for instance used by the default GNU Make rule for *.l
files. Other distributions like arch linux also create this symlink.
---
 main/flex/APKBUILD | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/main/flex/APKBUILD b/main/flex/APKBUILD
index 88b4d01..d379377 100644
--- a/main/flex/APKBUILD
+++ b/main/flex/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=flex
 pkgver=2.5.39
-pkgrel=1
+pkgrel=2
 pkgdesc="A tool for generating text-scanning programs"
 url="http://flex.sourceforge.net"
 arch="all"
@@ -35,6 +35,7 @@ build() {
 package() {
 	cd "$srcdir/$pkgname-$pkgver"
 	make install DESTDIR="$pkgdir" || return 1
+	ln -s flex "$pkgdir"/usr/bin/lex || return 1
 }
 
 md5sums="77d44c6bb8c0705e0017ab9a84a1502b  flex-2.5.39.tar.bz2"
-- 
2.6.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---